Package org.eclipse.net4j.util.io

## Class ExpectedFileInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FileInputStream
    - - org.eclipse.net4j.util.io.ExpectedFileInputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`

      public class ExpectedFileInputStream
      extends java.io.FileInputStream

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpectedFileInputStream​(java.io.File file, long expectedSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getTimeout()` |
    `int` | `read()` |
    `int` | `read​(byte[] b)` |
    `int` | `read​(byte[] b, int off, int len)` |
    `void` | `setTimeout​(long timeout)` |
    `long` | `skip​(long n)` |

    - ### Methods inherited from class java.io.FileInputStream

      `available, close, finalize, getChannel, getFD`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpectedFileInputStream

          public ExpectedFileInputStream​(java.io.File file,
                                         long expectedSize)
                                  throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### getTimeout

          public long getTimeout()

    - #### setTimeout

          public void setTimeout​(long timeout)

    - #### skip

          public long skip​(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.FileInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FileInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FileInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] b)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FileInputStream`
      Throws:
        `java.io.IOException`